### Constructor

# Gtk Adjustmentnew

#### Declaration [src]

    GtkAdjustment*
    gtk_adjustment_new (
      double value,
      double lower,
      double upper,
      double step_increment,
      double page_increment,
      double page_size
    )

#### Description [src]

Creates a new `GtkAdjustment`.

#### Parameters

`value`

  Type: `double`

  The initial value.

`lower`

  Type: `double`

  The minimum value.

`upper`

  Type: `double`

  The maximum value.

`step_increment`

  Type: `double`

  The step increment.

`page_increment`

  Type: `double`

  The page increment.

`page_size`

  Type: `double`

  The page size.

#### Return value

Type: `GtkAdjustment`

A new `GtkAdjustment`

The data is owned by the called function.